gnutls_openpgp_crt_get_key_usage(3)

NAME
gnutls_openpgp_crt_get_key_usage - This function returns the key's usage

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_crt_get_key_usage(gnutls_openpgp_crt_t key, unsigned int * key_usage);

ARGUMENTS

gnutls_openpgp_crt_t key
    should contain a gnutls_openpgp_crt_t structure

unsigned int * key_usage
    where the key usage bits will be stored

DESCRIPTION
This function will return certificate's key usage, by checking the key algorithm. The key usage value will ORed values of the: GNUTLS_KEY_DIGITAL_SIGNATURE, GNUTLS_KEY_KEY_ENCIPHERMENT.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.